PATCH · mentions:write

Update category

Update a mention category.

REST

PATCH/api/v1/categories/:categoryId
curl "https://www.stalkr.ai/api/v1/categories/:categoryId" \
  --request PATCH \
  --header "Authorization: Bearer $STALKR_API_KEY" \
  --header "Content-Type: application/json" \
  --header "Idempotency-Key: unique-operation-key"

MCP

Tool name: update_category

The MCP tool accepts the same input schema and returns the same structured { data, meta } result as REST.

Input

name

string

description

string

icon

string

order

integer

categoryIdrequired

string

idempotencyKey

string

Unique key used to safely retry this write operation

Safe retries

Pass idempotencyKey to the MCP tool or Idempotency-Key to REST when retrying this write.

Authorization

Required scope: mentions:write.

Scope authorization is followed by resource authorization. Project operations check current membership and the minimum role required by the underlying workflow.

Related resources